Page MenuHomePhabricator

VisualEditor dies on full storage, with my changes unsaved.
Closed, ResolvedPublic1 Story Points

Description

The manner of death is pretty horrible, I'm stuck with a ton of outstanding changes, a random heading is highlighted and it seems that one side of the selection range is pinned at the end of that heading.

I can't copy + paste the content, clicking around causes random (maybe ephemeral) whitespace changes, and there's no way to save or switch to source editor.

Here's the javascript console:

MacOS 10.13.1
Safari 11.0.1

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (d5428e9b3)
VisualEditor/VisualEditor : masterCatch errors when accessing localStorage
mediawiki/extensions/VisualEditor : masterUse mw.storage instead of localStorage

Event Timeline

awight created this task.Dec 1 2017, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2017, 5:23 PM
awight added a comment.Dec 1 2017, 5:34 PM

The condition of the VE interface was:

  • One heading was selected.
  • When I used arrow keys, I could only move the cursor within that heading.
  • Clicking outside of the heading would select from the end of the heading up to the mouse click, but would immediately flip back to the heading being selected.
  • Clicking "Publish changes" would gray the button for a few seconds, then the button would look normal again. Nothing else would happen.
  • Clicking the pencil to switch to source mode would pop up the switch dialog, then OK would cause the article content to go gray, and some progress churning would happen. Forever. Escaping out of the switch left the content gray.
awight updated the task description. (Show Details)Dec 1 2017, 5:48 PM
awight added a comment.Dec 1 2017, 5:58 PM

Trying to make my changes again, (transcribing from screenshots :-/), this happened:

I was eventually able to save, and I don't think this is related, but it makes me want to mention the exact page I'm working on, in case it's been hexed:
https://wikitech.wikimedia.org/wiki/ORES/Deployment

Deskana added a subscriber: Deskana.Dec 5 2017, 7:55 PM

Is filling up local storage typical? If I am understanding, this is very unlikely scenario to get in to, and strange behaviour would be expected.

DLynch added a subscriber: DLynch.Jan 9 2018, 6:04 PM

It's generally a 5MB quota per-host. We don't save much in VE, so it's probably something else on the host which has filled it up. (Unless there's some weird loop in storing in VE which I haven't noticed.)

Change 403433 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] Catch errors when accessing localStorage

https://gerrit.wikimedia.org/r/403433

Change 403434 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Use mw.storage instead of localStorage

https://gerrit.wikimedia.org/r/403434

Change 403434 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Use mw.storage instead of localStorage

https://gerrit.wikimedia.org/r/403434

Change 403433 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Catch errors when accessing localStorage

https://gerrit.wikimedia.org/r/403433

Change 404513 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (d5428e9b3)

https://gerrit.wikimedia.org/r/404513

Change 404513 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (d5428e9b3)

https://gerrit.wikimedia.org/r/404513

Deskana closed this task as Resolved.Jan 17 2018, 5:31 PM
Deskana assigned this task to DLynch.
Deskana triaged this task as Low priority.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 17 2018, 5:31 PM